Ubuntu

Activity log for bug #27520

Date Who What changed Old value New value Message
2006-04-01 00:58:52 Matt Zimmerman cron: assignee adconrad
2006-04-01 00:58:52 Matt Zimmerman cron: statusexplanation Bugzilla status=UNCONFIRMED, product=Ubuntu, component=cron
2008-01-23 22:47:07 Adam Conrad cron: assignee adconrad
2008-04-16 10:02:39 marx cron: status New Confirmed
2008-07-23 21:03:43 Graeme bug assigned to cron (Debian)
2010-07-22 12:51:27 Stephane Chazelas bug added subscriber Stephane Chazelas
2010-11-26 16:49:14 Scott Geary bug added subscriber Scott Geary
2010-12-19 09:25:47 Launchpad Janitor branch linked lp:debian/sid/cron
2011-01-05 10:20:11 Launchpad Janitor cron (Ubuntu): status Confirmed Fix Released
2011-05-10 20:43:56 Nathan Stratton Treadway summary cron no longer respects nsswitch.conf cron daemon starts before LDAP client, causing "ORPHAN" message for all LDAP users
2011-05-10 20:44:40 Nathan Stratton Treadway summary cron daemon starts before LDAP client, causing "ORPHAN" message for all LDAP users cron daemon starts before LDAP client, causing "ORPHAN" message for all LDAP-defined users
2011-06-07 15:54:43 Matthias Andree cron (Debian): status New Confirmed
2011-06-07 15:54:47 Matthias Andree cron (Debian): status Confirmed New
2011-06-07 15:56:19 Matthias Andree summary cron daemon starts before LDAP client, causing "ORPHAN" message for all LDAP-defined users cron daemon starts before LDAP/NIS client, causing "ORPHAN" message for all LDAP/NIS-defined users
2011-06-07 15:57:50 Matthias Andree bug added subscriber Matthias Andree
2011-06-07 16:25:11 Matthias Andree summary cron daemon starts before LDAP/NIS client, causing "ORPHAN" message for all LDAP/NIS-defined users cron daemon caches user-non-existent lookup results, causing "ORPHAN" message and skipping jobs for all LDAP/NIS-defined users
2011-06-08 09:15:33 Matthias Andree bug watch added http://sourceware.org/bugzilla/show_bug.cgi?id=430
2011-06-09 14:42:37 Barry Warsaw nominated for series Ubuntu Lucid
2011-06-09 14:42:37 Barry Warsaw bug task added cron (Ubuntu Lucid)
2011-06-18 01:00:28 Christian Kastner cron (Debian): status New Fix Released
2011-07-27 14:07:09 Peter Matulis bug added subscriber Peter Matulis
2011-07-29 13:18:33 Launchpad Janitor cron (Ubuntu Lucid): status New Confirmed
2011-07-29 14:16:04 Mark Russell bug added subscriber Mark Russell
2011-08-03 12:30:21 Tom Wieczorek bug added subscriber Tom Wieczorek
2011-09-19 16:25:10 Steve Langasek cron (Ubuntu): status Fix Released Triaged
2011-09-19 17:22:22 Launchpad Janitor branch linked lp:ubuntu/cron
2011-09-19 17:28:22 Steve Langasek cron (Ubuntu): status Triaged Fix Committed
2011-09-20 00:03:50 Launchpad Janitor cron (Ubuntu): status Fix Committed Fix Released
2011-11-04 22:51:32 Steve Langasek nominated for series Ubuntu Maverick
2011-11-04 22:51:32 Steve Langasek bug task added cron (Ubuntu Maverick)
2011-11-04 22:51:32 Steve Langasek nominated for series Ubuntu Natty
2011-11-04 22:51:32 Steve Langasek bug task added cron (Ubuntu Natty)
2011-11-04 22:52:10 Steve Langasek cron (Ubuntu Maverick): status New Triaged
2011-11-04 22:52:13 Steve Langasek cron (Ubuntu Maverick): status Triaged In Progress
2011-11-04 22:52:18 Steve Langasek cron (Ubuntu Natty): status New Triaged
2011-11-04 22:52:48 Steve Langasek cron (Ubuntu Maverick): status In Progress Triaged
2011-11-04 22:53:12 Steve Langasek cron (Ubuntu Lucid): status Confirmed Triaged
2011-11-04 22:53:26 Steve Langasek cron (Ubuntu Lucid): importance Undecided Medium
2011-11-04 22:53:29 Steve Langasek cron (Ubuntu Maverick): importance Undecided Medium
2011-11-04 22:53:37 Steve Langasek cron (Ubuntu Natty): importance Undecided Medium
2011-11-10 16:15:31 Jose Plans description We had a server which was happily running Hoary. It authenticated to our AD2003 domain using winbind, and winbind was in the nsswitch.conf. However, after upgrading to Breezy, cron no longer works properly, in that it doesn't respect accounts from winbind as being valid accounts. My logs are filling up with messages like: Dec 22 09:52:01 thorin /usr/sbin/cron[28207]: (user1) ORPHAN (no passwd entry) Dec 22 09:52:01 thorin /usr/sbin/cron[28207]: (user2) ORPHAN (no passwd entry) Dec 22 09:55:01 thorin /usr/sbin/cron[28207]: (user3) ORPHAN (no passwd entry) Dec 22 09:55:01 thorin /usr/sbin/cron[28207]: (user4) ORPHAN (no passwd entry) If you do "id user1", their information shows up perfectly fine, so it seems like cron has been changed to not respect this source of information. == SRU Justification == * Impact: users being defined on remote user databases such as LDAP will not be able to access to their cron jobs and these will be marked as orphaned unless cron is restarted. The impact is severe for users relying on cron and using LDAP. * Fix: The fix was implemented in Fedora's cronie. It implements a list orphan which allows to describe jobs as being orphaned or not depending on whether the owner is found or not. * Test case: How to reproduce: 1. Setup an LDAP remote directory and add a user to test. 2. Create a crontab for this user with some jobs. 3. When a reboot happens, this user will have its jobs orphaned. Expected results: - the cron table is read and jobs are to be executed when required. Actual results: - the cron table / jobs are marked as orphaned. * Regression potential: very minimal, the fix only adds a list adding a new description to the jobs, these are described as orphans and are checked when necessary. * Original bug description: We had a server which was happily running Hoary. It authenticated to our AD2003 domain using winbind, and winbind was in the nsswitch.conf. However, after upgrading to Breezy, cron no longer works properly, in that it doesn't respect accounts from winbind as being valid accounts. My logs are filling up with messages like: Dec 22 09:52:01 thorin /usr/sbin/cron[28207]: (user1) ORPHAN (no passwd entry) Dec 22 09:52:01 thorin /usr/sbin/cron[28207]: (user2) ORPHAN (no passwd entry) Dec 22 09:55:01 thorin /usr/sbin/cron[28207]: (user3) ORPHAN (no passwd entry) Dec 22 09:55:01 thorin /usr/sbin/cron[28207]: (user4) ORPHAN (no passwd entry) If you do "id user1", their information shows up perfectly fine, so it seems like cron has been changed to not respect this source of information.
2011-11-10 16:16:21 Jose Plans attachment added cron_3.0pl1-106ubuntu5~LP27520.lucid.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2592049/+files/cron_3.0pl1-106ubuntu5%7ELP27520.lucid.debdiff
2011-11-10 16:16:54 Jose Plans attachment added cron_3.0pl1-114ubuntu1.LP27520.maverick.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2592050/+files/cron_3.0pl1-114ubuntu1.LP27520.maverick.debdiff
2011-11-10 16:17:31 Jose Plans attachment added cron_3.0pl1-116ubuntu1.LP27520.natty.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2592051/+files/cron_3.0pl1-116ubuntu1.LP27520.natty.debdiff
2011-11-10 19:53:01 Jose Plans bug added subscriber Jose Plans
2012-01-19 14:50:03 Adam Stokes attachment removed cron_3.0pl1-106ubuntu5~LP27520.lucid.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2592049/+files/cron_3.0pl1-106ubuntu5%7ELP27520.lucid.debdiff
2012-01-19 14:50:41 Adam Stokes attachment removed cron_3.0pl1-114ubuntu1.LP27520.maverick.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2592050/+files/cron_3.0pl1-114ubuntu1.LP27520.maverick.debdiff
2012-01-19 14:50:55 Adam Stokes attachment removed cron_3.0pl1-116ubuntu1.LP27520.natty.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2592051/+files/cron_3.0pl1-116ubuntu1.LP27520.natty.debdiff
2012-01-19 15:19:13 Adam Stokes attachment added debdiff with proper versioning and updated copyright https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2682610/+files/cron_3.0pl1-106ubuntu6.lucid.debdiff
2012-01-19 15:20:22 Adam Stokes attachment added maverick-proposed.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2682611/+files/cron_3.0pl1-114ubuntu2.maverick.debdiff
2012-01-19 15:21:02 Adam Stokes attachment added natty-proposed.debdiff https://bugs.launchpad.net/ubuntu/+source/cron/+bug/27520/+attachment/2682612/+files/cron_3.0pl1-116ubuntu2.natty.debdiff
2012-02-13 15:46:13 Adam Stokes bug added subscriber Ubuntu Sponsors Team
2012-02-23 21:27:58 Steve Langasek cron (Ubuntu Lucid): assignee Barry Warsaw (barry)
2012-02-23 21:28:45 Steve Langasek cron (Ubuntu Maverick): assignee Barry Warsaw (barry)
2012-02-23 21:29:11 Steve Langasek cron (Ubuntu Natty): assignee Barry Warsaw (barry)
2012-02-23 23:14:18 Barry Warsaw cron (Ubuntu Lucid): status Triaged In Progress
2012-02-23 23:14:22 Barry Warsaw cron (Ubuntu Maverick): status Triaged In Progress
2012-02-23 23:14:26 Barry Warsaw cron (Ubuntu Natty): status Triaged In Progress
2012-02-24 16:30:48 Barry Warsaw bug added subscriber Ubuntu Stable Release Updates Team
2012-02-24 16:31:00 Barry Warsaw tags verification-needed
2012-02-24 17:03:17 Launchpad Janitor branch linked lp:~barry/ubuntu/lucid/cron/bug-27520
2012-02-24 17:09:16 Launchpad Janitor branch linked lp:~barry/ubuntu/maverick/cron/bug-27520
2012-02-24 17:18:18 Launchpad Janitor branch linked lp:~barry/ubuntu/natty/cron/bug-27520
2012-02-24 17:24:41 Barry Warsaw cron (Ubuntu Lucid): status In Progress Fix Committed
2012-02-24 17:24:45 Barry Warsaw cron (Ubuntu Maverick): status In Progress Fix Committed
2012-02-24 17:24:49 Barry Warsaw cron (Ubuntu Natty): status In Progress Fix Committed
2012-02-24 17:24:58 Barry Warsaw cron (Ubuntu Lucid): milestone lucid-updates
2012-02-24 17:25:03 Barry Warsaw cron (Ubuntu Maverick): milestone maverick-updates
2012-02-24 17:25:09 Barry Warsaw cron (Ubuntu Natty): milestone natty-updates
2012-02-28 13:43:21 Martin Pitt cron (Ubuntu Maverick): status Fix Committed Won't Fix
2012-02-28 13:43:29 Martin Pitt cron (Ubuntu Maverick): assignee Barry Warsaw (barry)
2012-02-28 13:43:38 Martin Pitt cron (Ubuntu Maverick): milestone maverick-updates
2012-02-28 13:43:44 Martin Pitt cron (Ubuntu Natty): milestone natty-updates
2012-02-28 13:44:02 Martin Pitt cron (Ubuntu Natty): status Fix Committed Won't Fix
2012-02-28 13:44:13 Martin Pitt removed subscriber Ubuntu Sponsors Team
2012-02-28 13:44:19 Martin Pitt cron (Ubuntu Natty): assignee Barry Warsaw (barry)
2012-03-05 16:38:13 Martin Pitt bug added subscriber SRU Verification
2012-03-05 18:41:17 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/cron
2012-03-14 19:28:32 Clint Byrum tags verification-needed verification-done
2012-03-14 19:49:04 Launchpad Janitor cron (Ubuntu Lucid): status Fix Committed Fix Released
2012-08-03 14:13:48 arbuntu bug added subscriber arbuntu
2012-10-15 20:28:31 Chris J Arges bug added subscriber Sustaining Engineering
2014-02-07 15:41:17 Curtis Hovey removed subscriber Registry Administrators